Bug 122511 - CAN-2004-0426 rsync directory traversal
CAN-2004-0426 rsync directory traversal
Product: Red Hat Enterprise Linux 2.1
Classification: Red Hat
Component: rsync (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jay Fenlason
Mike McLean
: Security
Depends On:
  Show dependency treegraph
Reported: 2004-05-05 08:21 EDT by Mark J. Cox (Product Security)
Modified: 2014-08-31 19:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-19 15:03:35 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Mark J. Cox (Product Security) 2004-05-05 08:21:15 EDT
There is a security problem in all versions prior to 2.6.1 that
affects only people running a read/write daemon WITHOUT using chroot.
If the user privs that such an rsync daemon is using is anything above
"nobody", you are at risk of someone crafting an attack that could
write a file outside of the module's "path" setting (where all its
files should be stored). Please either enable chroot or upgrade to
2.6.1. People not running a daemon, running a read-only daemon, or
running a chrooted daemon are totally unaffected.

        Affects: 2.1AS 2.1AW 2.1ES 2.1WS
        Affects: 3AS 3ES 3WS

Public: http://rsync.samba.org/#security_apr04
Comment 1 Mark J. Cox (Product Security) 2004-05-19 15:03:35 EDT
An errata has been issued which should help the problem 
described in this bug report. This report is therefore being 
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files, 
please follow the link below. You may reopen this bug report 
if the solution does not work for you.


Note You need to log in before you can comment on or make changes to this bug.